<bugID>873771<Summary>TabRestoreQueue should keep track of and evaluate restore_on_demand prefs</Summary><Description>The refactoring from bug 865127 should go even further and read and check the restore_on_demand prefs. This way the main sessionstore module only needs to ask for a tab and gets one if there's more to be restored automatically.</Description></bugID>